Bug 219084 - Review Request: perl-Geo-Constants - Standard Geo:: constants
Summary: Review Request: perl-Geo-Constants - Standard Geo:: constants
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 219086
TreeView+ depends on / blocked
 
Reported: 2006-12-10 17:05 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-12-11 21:17:14 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-12-10 17:05:46 UTC
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Geo-Constants.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Geo-Constants-0.05-1.src.rpm

Description:
Standard Geo:: constants.

Note: the Geo::* modules are requirements of Net::GPSD

Comment 1 Parag AN(पराग) 2006-12-11 04:56:49 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
9c9b41d178d47fc124c5f4be9630491f  Geo-Constants-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used 
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/base....ok
All tests successful.
Files=1, Tests=8,  0 wallclock secs ( 0.01 cusr +  0.00 csys =  0.01 CPU)

+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.

Comment 2 Jose Pedro Oliveira 2006-12-11 21:17:14 UTC
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.


Note You need to log in before you can comment on or make changes to this bug.